//
//  SBSDKUICameraConfiguration.swift
//  scanbot_sdk
//
//  Created by Sarbjyot Chahal on 12.09.22.
//

import Foundation
import ScanbotSDK

extension SBSDKUICameraConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        if let cameraModule = dictionary["cameraModule"] as? String {
            if(cameraModule == "FRONT"){
                self.camera =   SBSDKCameraDevice.defaultFrontFacingCamera()!
            } else {
                self.camera =   SBSDKCameraDevice.defaultBackFacingCamera()!
            }
        }
        
    }
}
