//
//  SBSDKUIGenericDocumentRecognizerConfiguration.swift
//  scanbot_sdk
//
//  Created by Sarbjyot Chahal on 12.01.22.
//

import Foundation
import ScanbotSDK

extension SBSDKUIGenericDocumentRecognizerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIGenericDocumentRecognizerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIGenericDocumentRecognizerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIGenericDocumentRecognizerBehaviorConfiguration(from: dictionary)
        let cameraConf = SBSDKUICameraConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf, cameraConfiguration: cameraConf)
    }
}
